Package org.kie.internal.jaxb

## Class CorrelationKeyXmlAdapter

- java.lang.Object
- - javax.xml.bind.annotation.adapters.XmlAdapter<String,​CorrelationKey>
  - - org.kie.internal.jaxb.CorrelationKeyXmlAdapter

-     public class CorrelationKeyXmlAdapter
      extends XmlAdapter<String,​CorrelationKey>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CorrelationKeyXmlAdapter()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `marshal​(CorrelationKey key)` |
    `static String` | `marshalCorrelationKey​(CorrelationKey key)` | This method has been made "static"ally available so that non-JAXB code does not have to (unnecesarily) instantiate an instance fo this class.
    `CorrelationKey` | `unmarshal​(String key)` |
    `static CorrelationKey` | `unmarshalCorrelationKey​(String key)` | This method has been made "static"ally available so that non-JAXB code does not have to (unnecesarily) instantiate an instance fo this class.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CorrelationKeyXmlAdapter

          public CorrelationKeyXmlAdapter()

  - ### Method Detail

    - #### unmarshal

          public CorrelationKey unmarshal​(String key)
                                   throws Exception

      Specified by:
        `unmarshal` in class `XmlAdapter<String,​CorrelationKey>`
      Throws:
        `Exception`

    - #### unmarshalCorrelationKey

          public static CorrelationKey unmarshalCorrelationKey​(String key)

      This method has been made "static"ally available so that non-JAXB code does not have to (unnecesarily) instantiate an instance fo this class.
      Parameters:
        `key` - A `CorrelationKey`
      Returns:
        A `String` equivalent of the key

    - #### marshal

          public String marshal​(CorrelationKey key)
                         throws Exception

      Specified by:
        `marshal` in class `XmlAdapter<String,​CorrelationKey>`
      Throws:
        `Exception`

    - #### marshalCorrelationKey

          public static String marshalCorrelationKey​(CorrelationKey key)

      This method has been made "static"ally available so that non-JAXB code does not have to (unnecesarily) instantiate an instance fo this class.
      Parameters:
        `key` - A `CorrelationKey`
      Returns:
        A `String` equivalent of the key